### Method

# FwupdPlugin Device set_parent

since: 1.0.8

#### Declaration [src]

    void
    fu_device_set_parent (
      FuDevice* self,
      FuDevice* parent
    )

#### Description [src]

Sets any parent device. An parent device is logically “above” the current device and this may be reflected in client tools.

This information also allows the plugin to optionally verify the parent device, for instance checking the parent device firmware version.

Available since: 1.0.8

Sets property | `FwupdPlugin.Device:parent`

#### Parameters

`parent`

  Type: `FuDevice`

  A device.

  The argument can be `NULL`.
  The data is owned by the caller of the method.